# 農薬検査所DB用携帯農薬検索システム(サブ CGI)
# 作物名かな->漢字変換／別名->登録名変換
# Version 2.5.3 Copyright(C) 2005-2006 Hidemi Oya

$_ = $cn;

# 全般
s/ニ(ホ|ッポ)ン/日本/;
s/セイヨウ/西洋/;
s/サイバイ/栽培/;
s/シセツ/施設/;
s/ロ(ジ|ヂ|チ)/露地/;
s/スイコウ/水耕/;
s/サクモツ/作物/;
s/ショクブツ/植物/;
s/カボク/花木/;
s/ショクヨウ/食用/;
s/ヤクヨウ/薬用/;
s/ハナ(?!ヤ|ッ|ミ)/花/;
s/クキ/茎/;
s/ケイヨウ/茎葉/;
s/ソノタ/ソノ他/;
s/ルイ/類/;
s/マメ類/豆類/;
s/ミセイジ(ュ|ユ)ク/未成熟/;
s/(２|３|４)?バイタイ/\1倍体/;
s/(金魚|キンギョ)(草|ソウ)/金魚草/; # 野菜類は食用金魚草
s/(藤|フジ|千石|センゴク)(豆|マメ)/フジマメ/; # 未成熟豆類、豆類（種実）
s/(山椒|サンシ(ョ|ヨ)(ウ)?)/サンショウ/; # 果樹類、野菜類
s/ブラツク/ブラック/;
s/レッド/レツド/;

# 稲・麦・雑穀
## 稲
s/^イネ$/稲/;
s/スイトウ|ミズ稲/水稲/;
s/リク(トウ|稲)|オカ(ボ|ブ)/陸稲/;
s/イショク/移植/;
s/チョクハ(ン)?|ジカマキ/直播/;
## 麦
s/(?<!ハト)ムギ/麦/;
s/(大|オオ)麦/大麦/;
s/(六|ロク)(条|ジョウ)((大)?麦)?/六条大麦/;
s/((二|ニ)(条|ジョウ)|ビール)((大)?麦)?/二条大麦/;
s/(裸|ハダカ)(麦)?/ハダカ麦/;
s/コ麦/小麦/;
s/ハダカ麦/大麦/;
s/ライ麦/麦類/;
## 雑穀
s/ザ(ッ|ツ)コク/雑穀/;
s/(鳩|ハト)(麦|ムギ)/ハトムギ/;
s/ダ(ッ|ツ)タンソバ/ソバ/;
s/稗/ヒエ/;
s/粟/アワ/;
s/(高(黍|稷)|タカキビ)|(高粱|コウリ(ャ|ヤ)ン)/食用ソルガム/;
s/ス(イ|ィ)ートコーン/未成熟トウモロコシ/;
s/^アワ|食用ソルガム/雑穀類/;

# 果樹
s/カジ(ュ|ユ)/果樹/;
s/シ(ョ|ヨ)ウリ(ュ|ユ)ウ|コツブ/小粒/;
s/ムカク|タネナシ/無核/;
## かんきつ
s/アマクサ/天草/;
s/イヨカン/伊予柑/;
s/カワチバンカン/河内晩柑/;
s/キヨミ/清見/;
s/デコポン|シラヌイ/不知火/;
s/(長門|ナガト)(柚吉|ユズキチ)/長門ユズキチ/;
s/.*?ネーブル/ネーブル/;
s/(夏|ナツ)(蜜柑|ミカン|橙|ダイダイ)|(甘|アマ)(夏|ナツ)/ナツミカン/;
s/ヒュウガナツ/日向夏/;
s/文旦|ザボン|ボンタン|晩白柚|バンペイユ/ブンタン/;
s/蜜柑/ミカン/;
s/(温州|ウンシ(ュ|ユ)ウ)(ミカン)?/ミカン/;
s/柚(子)?/ユズ/;
## 小粒核果類
s/カ(ク|ッ|ツ)カ/核果/;
s/杏/アンズ/;
s/梅/ウメ/;
s/李|プルーン|プラム/スモモ/;
## ベリー類
s/グースベリー/スグリ/;
s/(ブラック)?カ(ー)?ランツ|(房|フサ)スグリ/フサスグリ/;
s/(木|キ)(苺|イチゴ)|フランボワーズ/ラズベリー/;
s/フサスグリ|ラズベリー|ブラックベリー/ベリー類/;
## 落葉果樹
s/ラクヨウ/落葉/;
s/無花果/イチジク/;
s/桜桃|桜ン坊|サクランボ/オウトウ/;
s/柿/カキ/;
s/キウ(イ|ィ)(ー)?(フルーツ)?/キウイフルーツ/;
s/栗/クリ/;
s/(日本|西洋|中国|チ(ュ|ユ)ウゴク)?(梨|ナシ)/ナシ/;
s/桃/モモ/;
s/花梨/カリン/;
s/胡桃/クルミ/;
### かき
s/フユウ/富有/;
### ぶどう
s/(ダ|タ)イリ(ュ|ユ)ウ|オオツブ/大粒/;
s/(小粒|大粒)シ(ュ|ユ)/\1種/;
s/ユウカク|タネアリ/有核/;
s/キ(ョ|ヨ)ホウ/巨峰/;
s/タカオ/高尾/;
s/アキ(ク|シ)/安芸\1/;
s/オウシ(ュ|ユ)ウ|ヨーロ(ッ|ツ)パ/欧州/;
s/ベイコク|アメリカ/米国/;
s/ヒンシ(ュ|ユ)/品種/;
s/(欧州|米国|巨峰)ケイ/\1系/;
s/フジミノリ/藤稔/;
s/スイホウ/翠峰/;
s/コクオウ/黒王/;
s/シギ(ョ|ヨ)ク/紫玉/;
s/タカ(ツ|ヅ)マ/高妻/;
s/タマユ/多摩ユ/;
s/ハクホウ/白峰/;
s/ベニヨシ/紅義/;
s/イズニシキ/伊豆錦/;
s/イズモ/出雲/;
s/タカスミ/高墨/;
s/ベニイズ/紅伊豆/;
s/ベニズイホウ/紅瑞宝/;
s/ベニフジ/紅富士/;
s/ベニヤ/紅ヤ/;
s/リ(ュ|ユ)ウホウ/竜宝/;
s/オウギ(ョ|ヨ)ク/黄玉/;
s/テンシ(ュ|ユ)ウ/天秀/;
s/５４０ゴウ/５４０号/;
s/藤稔|黒王|ゴルビー|紫玉|シナノスマイル|高妻|多摩ユタカ|白峰|紅義|伊豆錦|出雲クイーン|イチキマール|ウエハラ５４０号|オリンピア|サガミ|ジ(ャ|ヤ)スミン|ダークリ(ッ|ツ)ジ|高墨|ハイベリー|ハニーブラック|ブラックオーパス|ブラックオリンピア|紅伊豆|紅瑞宝|紅富士|紅ヤマビコ|竜宝|レッドクイーン|ロードベリー|黄玉|天秀/巨峰系４倍体品種/;
# s/巨峰|ピオーネ|安芸クイーン|藤稔|サニールージュ|翠峰|黒王|ゴルビー|紫玉|シナノスマイル|高妻|多摩ユタカ|白峰|紅義|伊豆錦|出雲クイーン|イチキマール|ウエハラ５４０号|オーロラブラック|オリンピア|サガミ|ジャスミン|ダークリッジ|高墨|ハイベリー|ハニーブラック|ハニービーナス|ブラックオーパス|ブラックオリンピア|紅伊豆|紅瑞宝|紅富士|紅ヤマビコ|竜宝|レッドクイーン|ロードベリー|黄玉|天秀/巨峰系４倍体品種/;
s/マスカツト/マスカット/;
s/タビジ/旅路/;
s/ベニシオヤ/紅塩谷/;
s/ベニカ(ネ|ナ)ザワ/紅金沢/;
s/ベニナンヨウ/紅南陽/;
s/ターユ(ィ|イ)ル(ー)?/大玉露/;
s/アジロンダ(ッ|ツ)ク|バ(ッ|ツ)フ(ァ|ア)ロー|ナイヤガラマラベルフ(ァ|ア)|ウルバナ|キ(ャ|ヤ)ンベル|セイベル９１１０|セネカ|大玉露|タノレッド|ナイアガラ|紅金沢|紅南陽|ポートランド|レッドポート|ピアレス|ニ(ュ|ユ)ーヨークマスカット|ノースブラック|バイオレ(ッ|ツ)トウエハラ|フレドニア/２倍体米国系品種/;
# s/アジロンダック|マスカット$|ベリーＡ|バッファロー|アーリースチューベン|ナイヤガラマラベルファ|ウルバナ|キャンベル|キャンベルアーリー|スチューベン|セイベル９１１０|セネカ|大玉露|タノレッド|ナイアガラ|旅路|紅塩谷|紅金沢|紅南陽|ポートランド|レッドポート|ピアレス|ニューヨークマスカット|ノースブラック|ノースレッド|バイオレットウエハラ|フレドニア|ヒムロッド(シードレス)?/２倍体米国系品種/;
s/フインガー/フィンガー/;
s/サン(ジ|シ)(ャ|ヤ)ク/三尺/;
s/セトジ/瀬戸ジ/;
s/ジ(ャ|ヤ)イアンツ/ジャイアンツ/;
s/カイオトメ/甲斐乙女/;
s/カイジ/甲斐路/;
s/コウシ(ュ|ユ)ウ/甲州/;
s/セキレイ/赤嶺/;
s/コウフ/甲府/;
s/リ(ュ|ユ)ウガン/竜眼/;
s/リ(ョ|ヨ)ウギ(ョ|ヨ)ク/涼玉/;
s/オオクボ/大久保/;
s/ベニ(アレキ|三尺)/紅\1/;
s/シオン/紫苑/;
s/ベニタマキ/紅環/;
s/オウカ/黄華/;
s/チ(ャ|ヤ)ナ(ー)?/乍那/;
s/マーナイツ/馬乃子/; # 乃は「女乃」で一文字
s/ベイジ(ャ|ヤ)(ー)?ガン/貝甲干/;
s/チンツ(ァ|ア)オチン/京早晶/;
s/ルビーオクヤマ|シ(ャ|ヤ)インマスカット|ＣＧ８８４３５|アルフ(ォ|オ)ンスラバレー|イタリア|甲斐乙女|甲斐路|カ(ッ|ツ)タクルガン|カベルネソービニオン|グリーンサマー|クルガンローズ|ケニギンデルワインガルデン|甲州|甲州三尺|^ゴールド(フィンガー)?|ザバルカンスキー|シトロンネル|シ(ャ|ヤ)ルドネ|赤嶺|セシリア|乍那|チェリー|京早晶|ニ(ュ|ユ)ーナイ|ネオマート|ネオマスカット|ネヘレスコール|バラデ(ィ|イ)|ビーナス|ピ(ッ|ツ)テロビアンコ|ブラックスワン|ブラック三尺|フレームトーケー|貝甲干|紅アレキ|紅三尺|紅環|ベニピ(ッ|ツ)テロ|馬乃子|マスカット甲府|マスカットデ(ュ|ユ)ークアモーレ|マスカットハンブルグ|マスカットビオレ|マニキ(ュ|ユ)アフィンガー|モルゲンシ(ェ|エ)ーン|ヤトミローザ|ユニコーン|リザマート|リ(ッ|ツ)シバーバ|竜眼|涼玉|ルーベルマスカット|ルビー大久保|レッドグローブ|レッドネヘレスコール|ローヤル|ロザリオロ(ッ|ツ)ソ|アリサ|黄華|紫苑|ヒロハンブルグ/２倍体欧州系品種/;
# s/瀬戸ジャイアンツ|ロザキ|マリオ|ロザリオ(　)?ビアンコ|ルビーオクヤマ|マスカット(・)?オブ(・)?アレキサンドリア|シャインマスカット|ＣＧ８８４３５|アルフォンスラバレー|イタリア|甲斐乙女|甲斐路|カッタクルガン|カベルネソービニオン|グリーンサマー|クルガンローズ|ケニギンデルワインガルデン|甲州|甲州三尺|ゴールド|ゴールドフィンガー|ザバルカンスキー|シトロンネル|シャルドネ|赤嶺|セシリア|乍那|チェリー|京早晶|ニューナイ|ネオマート|ネオマスカット|ネヘレスコール|バラディ|ビーナス|ピッテロビアンコ|ブラックスワン|ブラック三尺|フレームトーケー|貝甲干|紅アレキ|紅三尺|紅環|ベニピッテロ|馬乃子|マスカット甲府|マスカットデュークアモーレ|マスカットハンブルグ|マスカットビオレ|マニキュアフィンガー|モルゲンシェーン|ヤトミローザ|ユニコーン|リザマート|リッシバーバ|竜眼|涼玉|ルーベルマスカット|ルビー大久保|レッドグローブ|レッドネヘレスコール|ローヤル|ロザリオロッソ|アリサ|黄華|紫苑|ヒロハンブルグ/２倍体欧州系品種/;
s/(ミ|ビ)レイ/美嶺/;
s/カイ美嶺/甲斐美嶺/;
s/甲斐美嶺|安芸シードレス/３倍体品種/;
# s/キングデラ|サマーブラック|甲斐美嶺|ナガノパープル|安芸シードレス|美嶺/３倍体品種/;
## その他果樹
s/(猿|サル)(梨|ナシ)|香粋|コクワ/サルナシ/;
s/枇杷/ビワ/;
s/(山|ヤマ)(桃|モモ)/ヤマモモ/;
s/バンジロウ|グァバ/グアバ/;
s/(果物|クダモノ)(時計|トケイ)(草|ソウ)|パ(ッ|ツ)シ(ョ|ヨ)ンフルーツ/パッションフルーツ/;
s/銀杏|ギンナン/イチョウ（種子）/;
s/スターフルーツ/ゴレンシ/;
s/ライチ(ー|ィ)?/ライチ/;
s/グアバ|パッションフルーツ|イチョウ（種子）|ゴレンシ|ライチ/果樹類/;

# 野菜類
s/ヤサイ/野菜/;
s/ヒケ(ッ|ツ)キ(ュ|ユ)ウ/非結球/;
## うり科野菜
s/(瓜|ウリ)(科|カ)/ウリ科/;
s/(ツケモノ|漬物)(ヨウ|用)?/漬物用/;
s/(胡|キ(ュ|ユ))(瓜|ウリ)/キュウリ/;
s/モーウ(ィ|イ)|(赤毛|アカゲ)(瓜|ウリ)/ウリ類（漬物用）/;
s/((白|シロ)|(青|アオ)(縞|シマ)?|ハグラ)(瓜|ウリ)|カリモリ/シロウリ/;
s/(冬|トウ)(瓜|ガン)/トウガン/;
s/(隼人|ハヤト)(瓜|ウリ)/ハヤトウリ/;
s/(干|乾|カン)(瓢|ピョウ)|夕顔/ユウガオ/;
s/.*?カボチ(ャ|ヤ)/カボチャ/;
s/.*?メロン/メロン/;
s/(苦|ニガ)(瓜|ウリ)|(蔓茘枝|ツルレイシ)|ゴーヤ(ー)?/ニガウリ/;
## なす科野菜
s/(茄(子)?|ナス)(科|カ)/ナス科/;
### とうがらし類
s/(.*?)(唐|トウ)(辛子|ガラシ)/\1トウガラシ/;
s/(鷹|タカ)ノ(爪|ツメ)|八房/トウガラシ/;
s/獅子(唐|トウ)(ガラシ)?/シシトウ/;
s/(伏見|フシミ|万願寺|マンガンジ|三宝|サンポウ|アマナガ)トウガラシ/甘長トウガラシ/;
s/(神楽|カグラ)(南蛮|ナンバン)/カグラナンバン/;
s/(木立|キダチ)トウガラシ/キダチトウガラシ/;
s/(札幌|サ(ッ|ツ)ポロ)(大長|オオナガ)トウガラシ/サッポロ大長トウガラシ/;
s/(キダチ|サッポロ大長)トウガラシ|カグラナンバン/トウガラシ類/;
### その他
s/パプリカ/ピーマン/;
s/ゴールデンベリー/食用ホウズキ/;
## あぶらな科野菜
s/(油菜|アブラナ)(科|カ)/アブラナ科/;
s/ヨウサイ/葉菜/;
s/キヤベツ/キャベツ/;
s/ブロツコリー/ブロッコリー/;
### なばな類
s/(菜|ナ)(ノ)?(花|バナ)|花(菜|ナ)/ナバナ/;
s/(水掛|ミズカケ)(菜|ナ)/ミズカケナ/;
s/((欠|掻)(キ)?|カキ)(菜|ナ)/カキナ/;
s/(大崎|オオサキ)(菜|ナ)/オオサキナ/;
s/アスパラ(菜|ナ)|オータムンポエム/オータムポエム/;
s/(茎|クキ|フキ)(立(チ)?|タチ)(菜|ナ)?/クキタチナ/;
s/(野良|ノラ)(坊|ボウ)(菜|ナ)/ノラボウナ/;
s/(紅|コウ)(菜|サイ)(苔|タイ)|コウタイサイ/コウサイタイ/;
s/(油|ユ)?(菜|サイ)(心|シン)/サイシン/;
s/(蕾|ツボミ)(菜|ナ)/ツボミナ/;
s/(女池|メイケ)(菜|ナ)/メイケナ/;
s/カキナ|オオサキナ|オータムポエム|クキタチナ|ノラボウナ|コウサイタイ|サイシン|ツボミナ|メイケナ/ナバナ類/;
### 非結球あぶらな科葉菜類
s/(小松|コマツ)(菜|ナ)/コマツナ/;
s/(讃岐|サヌキ)(菜|ナ)/サヌキナ/;
s/(大阪|オオサカ)?(白|シロ)(菜|ナ)/シロナ/;
s/(大阪|オオサカ)シロナ/大阪シロナ/;
s/(雪白|二貫目)?(体|タイ)(菜|サイ|ナ)|(杓子|シ(ャ|ヤ)クシ)(菜|ナ)|(長岡|ナガオカ)(菜|ナ)/タイサイ/;
s/(高|タカ)(菜|ナ)|(勝男|カツオ)(菜|ナ)|(山形)?(青菜|セイサイ)/タカナ/;
s/(青梗|チンゲン)(菜|サイ)/チンゲンサイ/;
s/(野沢|ノザワ)(菜|ナ)/ノザワナ/;
s/(広島|ヒロシマ)(菜|ナ)/ヒロシマナ/;
s/(京菜|キ(ョ|ヨ)ウナ)|(京|キ(ョ|ヨ)ウ)?(水|ミズ)(菜|ナ)/ミズナ/;
s/(壬生|ミブ)(菜|ナ)/ミブナ/;
s/(河北|カホク)(菜|ナ)/カホクナ/;
s/(芥(子)?|カラシ)(菜|ナ)|(山|ヤマ)(潮|汐|シオ)(菜|ナ)|(レッドアジアン|グリーン)マスタード/カラシナ/;
s/山東菜|ベカ(菜|ナ)/サントウサイ/;
s/タ(ア|ー)(サイ|ツ(ァ|ア)イ)|如月菜|(瓢児|ヒサゴ)(菜|ナ)|(縮|チ(ヂ|ジ))(ミ)?(雪|ユキ)?(菜|ナ)/タアサイ/;
s/(手頃|テゴロ)(菜|ナ)/テゴロ菜/;
s/(中島|ナカジマ)(菜|ナ)/ナカジマナ/;
s/(畑|ハタケ)(菜|ナ)/ハタケナ/;
s/(便利|ベンリ)(菜|ナ)/ベンリ菜/;
s/(味美|アジミ)(菜|ナ)/味美菜/;
s/ロケ(ッ|ツ)ト|セルバチコ|ガルギール|ルツコラ/ルッコラ/;
s/(山形|ヤマガタ)(緑|ミドリ)(菜|ナ)/山形ミドリナ/;
s/プチ(ベ|ヴェ)ール/非結球メキャベツ/;
s/カホクナ|カラシナ|サントウサイ|タアサイ|テゴロ菜|ナカジマナ|ハタケナ|ベンリ菜|味美菜|ルッコラ|山形ミドリナ|非結球メキャベツ/非結球アブラナ科葉菜類/;
### その他
s/ラデ(ィ|イ)(ッ|ツ)シ(ュ|ユ)/ラディッシュ/;
s/.*?(蕪|カブ)|(酢茎菜|スグキナ)/カブ/;
s/(葉|ハ)?(大根|ダイコン)(菜|ナ)?/ダイコン/;
s/(二十日|廿日|ハツカ)(大根|ダイコン)|ラディッシュ/ハツカダイコン/;
s/(山葵|ワサビ)(大根|ダイコン)|ホースラディッシュ/ワサビダイコン/;
s/(水|ミズ|田|タ)?(山葵|ワサビ)/ワサビ/;
s/(畑|ハタ|丘|オカ|葉|ハ)(山葵|ワサビ)/畑ワサビ/;
s/花(野菜|ヤサイ)/カリフラワー/;
s/(茎|クキ)ブロッコリー|スティ(ッ|ツ)クセニ(ョ|ヨ)ール/茎ブロッコリー/;
s/(芽|メ)キャベツ|(子持(チ)?|コモチ)(甘藍|カンラン)/メキャベツ/;
## 豆類（未成熟）
s/枝豆/エダマメ/;
s/(未成熟|十六|ジュウロク|昭島|アキシマ)?(細々牙|ササゲ)/未成熟ササゲ/;
s/(莢|サヤ)(隠元|インゲン)/サヤインゲン/;
s/((絹|キヌ)?(莢|サヤ)|スナ(ッ|ツ)ク)エンドウ/サヤエンドウ/;
s/ミエンドウ/実エンドウ/;
s/(未成熟)?(四角|シカク)(豆|マメ)/未成熟シカクマメ/;
s/(未成熟)?(刀|ナタ)(豆|マメ)/未成熟ナタマメ/;
s/未成熟(シカク|ナタ|フジ)マメ/豆類（未成熟）/;
## その他野菜
### 非結球レタス
s/チシヤ/チシャ/;
s/サニーレタス|(赤|アカ)(萵苣|チシャ)/リーフレタス/;
s/グリーンリーフ/リーフレタス/;
s/(チマ)?サンチ(ュ|ユ)|(掻(キ)?|カキ)(萵苣|チシャ)/カキチシャ/;
s/サラダ(菜|ナ)/サラダ菜/;
s/(立(チ)?|タチ)(萵苣|チシャ)|ロメインレタス/立チチシャ/;
s/カキチシャ|サラダ菜|立チチシャ/非結球レタス/;
#### きく科
s/カモマイル|カミツレ/カモミール/;
s/(春|シ(ュ|ユ)ン)(菊|ギク)|(菊|キク)(菜|ナ)/シュンギク/;
s/(水前寺|スイゼンジ)(菜|ナ)|(金時|キン(トキ|ジ))(草|ソウ)/スイゼンジナ/;
s/(菊|キク)(葉|バ)/キク葉/;
s/牛蒡/ゴボウ/;
s/(葉|ハ)ゴボウ/葉ゴボウ/;
s/(朝鮮|チ(ョ|ヨ)ウセン)(薊|アザミ)|アーテ(ィ|イ)チ(ョ|ヨ)ーク/アーティチョーク/;
s/(フレンチ|ロシアン)タラゴン/エストラゴン/;
s/(母子|ハハコ)(草|グサ)|御形|ゴギ(ョ|ヨ)ウ/ハハコグサ/;
s/(細葉|ホソバ)(海菜|ワダン)|(苦|ニガ)(菜|ナ)/ホソバワダン/;
s/(紅葉|モミジ)(傘|ガサ)|シド(ケ|キ)/モミジガサ/;
s/(森|モリ)(薊|アザミ)|(山|ヤマ)ゴボウ/モリアザミ/;
s/アーティチョーク|エストラゴン|ハハコグサ|ホソバワダン|モミジガサ|モリアザミ/ソノ他野菜/;
#### せり科
s/(香|シ(ャ|ヤ)ン)(菜|ツ(ァ|ア)イ)|パクチー/コリアンダー/;
s/.*?パセリ/パセリ/;
s/人参/ニンジン/;
s/(薬用|ヤクヨウ|(御|オ)(種|タネ))ニンジン/薬用ニンジン/;
s/(?(?!^薬用)^.*?)ニンジン/ニンジン/;
s/(浜|ハマ)?(防風|ボウフウ)/ハマボウフウ/;
s/茴香|ウイキョウ|フエンネル/フェンネル/;
s/.*?(三ツ葉|ミツバ)/ミツバ/;
s/セルフ(ィ|イ)ーユ/チャービル/;
s/コリアンダー|ハマボウフウ|フェンネル|チャービル/ソノ他野菜/;
#### しそ科
s/大葉|オオバ|紫蘇/シソ/;
s/(花|穂|ホ)(シ|ジ)ソ/穂シソ/;
s/(?(?!^穂)^.*?)(シ|ジ)ソ/シソ/;
s/.*?バジル/バジル/;
s/.*?(ミント|ハツカ)/ハッカ/;
#### しょうが科
s/(根|ネ|葉|ハ)?(生姜|シ(ョ|ヨ)ウガ)/ショウガ/;
s/茗荷|ミヨウガ/ミョウガ/;
s/ミョウガ(竹|タケ)/ミョウガ/;
s/(花|ハナ)ミョウガ/ミョウガ（花穂）/;
# s/ミョウガ（(茎葉|花穂)）/ソノ他野菜/;
#### ゆり科
s/(百合|ユリ)(根|ネ)/食用ユリ/;
s/(黄|キ)?(韮|ニラ)/ニラ/;
s/.*?(葱|ネギ)|リー(キ|ク)/ネギ/;
s/ハネギ/葉ネギ/;
s/玉ネギ/タマネギ/;
s/ハタマネギ/葉タマネギ/;
s/エシ(ャ|ヤ)(レ|ロ)(ッ|ツ)ト/ラッキョウ/;
#### その他
s/(芋|イモ)(茎|ガラ)|ズイキ|ダツイモ/サトイモ（葉柄）/; # さといも科
s/木ノ芽|キノメ/サンショウ（葉）/;
s/タラノ(木|キ|芽|メ)|タラ(ッ|ツ)(ポ|ペ)/タラノキ/;
s/(蔓|ツル)(菜|ナ)|ハマ(ナ|(ジ|ヂ)シ(ャ|ヤ))/ツルナ/;
s/エンツ(ァ|ア)イ|(朝顔|アサガオ)(菜|ナ)|(空|ク(ウ|ー))(芯|心|シン)?(菜|サイ)/エンサイ/; # ヒルガオ科
s/(赤|アカ)?(不断|フダン)(草|ソウ)|ベトラーブ|スイスチ(ャ|ヤ)ード/フダンソウ/; # アカザ科
s/(草|クサ)(蘇鉄|ソテツ)|コゴミ/クサソテツ/;
s/(小|コ|緑|ミドリ)?(繁縷|ハコベ)/ハコベ/; # ナデシコ科
s/(箒|ホウキ)(木|ギ|草|グサ)|トンブリ/ホウキギ/;
s/(柳|ヤナギ|真|マ|本|ホン|鮎|アユ)(蓼|タデ)/ヤナギタデ/; # タデ科
s/クサソテツ|ハコベ|ホウキギ|ヤナギタデ/ソノ他野菜/;
s/(甘茶|アマチ(ャ|ヤ))(蔓|ヅル)?/アマチャ/; # うり科茎葉
s/(山|ヤマ)クラゲ|トムシ(ャ|ヤ)|ステムレタス|(茎|クキ)(萵苣|チシャ)/クキチシャ/; # キク科
s/アマチャ|クキチシャ/ソノ他野菜/;

# いも類
s/甘藷|(薩摩|サツマ)(芋|イモ)/カンショ/;
s/((里|サト)|(筍|タケノコ)|(海老|エビ))(芋|イモ)|(八(ツ|ッ)?|ヤツ)(頭|(ガ|カ)シラ)/サトイモ/;
s/(馬鈴|バレイ)(薯|シ(ョ|ヨ))|ジ(ャ|ヤ)ガ(芋|イモ)/バレイショ/;
s/((大和|ヤマト)|(丸|マル)|(長|ナガ)|(徳利|ト(ッ)?クリ)|(伊勢|イセ)|(銀杏|イチョウ)|ツクネ)(芋|イモ)|(自然|ジネン)(薯|ジ(ョ|ヨ))/ヤマノイモ/;

# 豆類（種実）
s/シ(ュ|ユ)ジツ/種実/;
s/大豆/ダイズ/;
s/小豆|大納言|ダイナゴン/アズキ/;
s/(隠元|金時|キントキ|虎|トラ|鶉|ウズラ)(豆|マメ)/インゲンマメ/;
s/落花生|南京豆|ナンキンマメ|ピーナ(ッ)?ツ/ラッカセイ/;
s/(紅花|ベニバナ)(隠元|インゲン)|花(豆|マメ)/ベニバナインゲン/;
s/ベニバナインゲン/豆類（種実）/; # 「いんげんまめ」の範疇か？

# きのこ類
s/ホダ(ギ|キ)/ホダ木/;
s/ゲンボク/原木/;

# その他食用作物
s/^チ(ャ|ヤ)$/茶/;

# その他牧草
s/ボクソウ/牧草/;
s/シリ(ョ|ヨ)ウ/飼料/; # くん蒸に「飼料」有り
s/飼料ヨウ/飼料用/;
s/(稲|イネ)(科|カ)/イネ科/;
s/(豆|マメ)(科|カ)/マメ科/;
s/ソルゴー/ソルガム/;

# 芝
s/(^|日本|西洋)シバ/\1芝/;

# 花き類
s/花(卉|キ)/花キ/; # 果樹の「カキ」と区別するため、「花き」は「ハナキ」で入力
s/カキ(ル(イ)?|類)/花キ類/; # 「花き類」は「カキル(イ)」で入力しても OK
s/ソウホン/草本/;
s/カンヨウ/鑑葉/;
s/カンシ(ョ|ヨ)ウ/観賞/;
s/鑑賞ヨウ/観賞用/;
s/ヨウキ/容器/;
s/(鉢|ハチ)モノ/鉢物/;
s/(鉢|ハチ)(植|ウ)(エ)?/鉢植エ/;
s/(菊|キク)(科|カ)/キク科/;
s/シ(ュ|ユ)(ッ|ツ)コン/宿根/;
s/キ(ュ|ユ)ウコン/球根/;
s/フイリ/斑入リ/;
s/ゴシキ/五色/;
s/ヒ(ャ|ヤ)クニチソウ/百日草/;

# 樹木類
s/ジ(ュ|ユ)モク/樹木/;
s/モクホン/木本/;
s/イ(ッ|ツ)パン/一般/;
s/ラクヨウ/落葉/;
s/落葉セイ/落葉性/;
s/ナエギ/苗木/;
s/シ(ュ|ユ)ビ(ョ|ヨ)ウ/種苗/;
s/リンボク/林木/;
s/シンヨウ/針葉/;
s/ガイロ/街路/;
s/テイエン/庭園/;
s/(針葉|街路|庭園)ジ(ュ|ユ)/\1樹/;
s/ニワキ/庭木/;

$cn = $_;

1;
__END__

# 開発履歴
# 2.5.0 2005/10/26 ファーストリリース
# 2.5.1 2005/11/29 「サトイモ（茎葉）」の別名として「イモガラ」を追加
#                  「チャービル」の別名として「セルフィーユ」を追加(ただし、チャービルは野菜類に変換)
# 2.5.2 2006/03/30 「小粒種」「大粒種」「無核」「有核」を追加
# 2.5.3 2006/05/10 「野菜類」に変換する作物を「その他野菜」に変換するよう変更
#                  「ミョウガ」が「野菜類」に変換されてしまうバグを修正
#                  「ニユーヨーク」→「ニューヨーク」変換追加
#                  「ジヤイアンツ」→「ジャイアンツ」変換追加
#                  「胡瓜」「キユウリ」→「キュウリ」変換追加
#                  「キウイー」「キウィー」→「キウイフルーツ」変換追加
