# 農薬検査所DB用携帯農薬検索システム(サブ CGI)
# 適用表(vtllg103.do)用送出パラメータ処理
# Version 2.0.2 Copyright(C) 2005-2006 Hidemi Oya

# セッションデータ初期化等
my $flush = 0;
if (defined($rn)) { # 登録番号が指定されていればセッションに保存
  $sm->param('rn', $rn);
  $flush = 1;
} else { # 指定されてなければセッションから読み込み
  $rn = $sm->param('rn');
}
# セッションデータに指定した登録番号が存在しなければ棄却
if ($sm->param($pi) !~ /第$rn号/) {
  $sm->clear($pi);
  $flush = 1;
}
$sm->flush if ($flush);

# サーバサイド CGI パラメータの設定
&setparam;

1;
__END__

# 開発履歴
# 1.0.0 2005/05/13 ファーストリリース
# 2.0.0 2005/05/26 サーバサイドセッションに対応
#                  setparam 関数の変更に対応
#                  内部処理の文字コードを UTF8 に変更
# 2.0.1 2005/09/27 セッションデータクリア方法変更
# 2.0.2 2006/03/30 cgi::session->clear のパラメータの渡し方を変更
