# 農薬検査所DB用携帯農薬検索システム(サブ CGI)
# 作物名検索(vtllk101.do)用送出パラメータ処理
# Version 2.5.1 Copyright(C) 2005-2006 Hidemi Oya

# 検索語の取得
if (!defined($cn)) { # $cn が未定義の場合
  $cn = $sm->param('cn'); # セッションから $cn を読む
} else {
  $sm->param('ecn', $cn); # 入力語保存
  if ($usedic) { # 自動かな漢字変換使用の場合
    $sm->param('cd', $cd); # 自動かな漢字変換オプション保存
    if ($cd) { # 自動かな漢字変換オンの場合変換実行
      &syserr('かな漢字変換に失敗しました') if (!eval("require('dic$pi.pl')"));
    }
  }
  if ($cn ne $sm->param('cn')) { # $cn が前回と異なる場合
    $sm->clear($pi); # k101 受信データ破棄
    $sm->param('cn', $cn); # $cn 保存
  }
  $sm->flush;
}

if ($cn) { # $cn が空文字でない場合
  $PARAMS{'skmt_name'} = $cn; # サーバサイド CGI パラメータの設定
} else { # 病害虫名等設定へスキップ
  $cv = '';
  $pi = 'sp';
  &syserr("snd$pi.pl の実行に失敗しました") if (!eval("require('snd$pi.pl')"));
}

1;
__END__

# 開発履歴
# 1.0.0 2005/04/07 ファーストリリース
# 1.0.1 2005/04/18 代表作物名による再検索に対応
# 1.1.0 2005/05/13 グループ展開時に作物名一覧に戻る機能に対応
#                  受信パラメータ変数の変更に対応
#                  送信パラメータ変数の変更に対応
# 2.0.0 2005/05/26 サーバサイドセッションに対応
#                  エラー処理の変更に対応
#                  内部処理の文字コードを UTF8 に変更
# 2.0.1 2005/09/27 セッションデータクリア方法変更
# 2.5.0 2005/10/26 パラメータ名変更に対応
#                  作物名かな漢字／別名自動変換機能追加
# 2.5.1 2006/03/30 cgi::session->clear のパラメータの渡し方を変更
