# 農薬検査所DB用携帯農薬検索システム(サブ CGI)
# 病害虫・雑草名検索(vtllk102.do)用送出パラメータ処理
# Version 2.5.1 Copyright(C) 2005-2006 Hidemi Oya

# 検索語の取得
if (!defined($pn)) { # $pn が未定義の場合
  $pn = $sm->param('pn'); # セッションから $pn を読む
} else {
  $sm->param('epn', $pn); # 入力語保存
  if ($usedic) { # 自動かな漢字変換使用の場合
    $sm->param('pd', $pd); # 自動かな漢字変換オプション保存
    if ($pd) { # 自動かな漢字変換オンの場合変換実行
      &syserr('かな漢字変換に失敗しました') if (!eval("require('dic$pi.pl')"));
    }
  }
  if ($pn ne $sm->param('pn')) { # $pn が前回と異なる場合
    $sm->clear($pi); # k102 受信データ破棄
    $sm->param('pn', $pn); # $pn 保存
  }
  $sm->flush;
}

if ($pn) { # $pn が空文字でない場合
  $PARAMS{'byg_name'} = $pn; # サーバサイド CGI パラメータの設定
} else { # 農薬名等設定へスキップ
  $pv = '';
  $pi = 'sa';
  &syserr("snd$pi.pl の実行に失敗しました") if (!eval("require('snd$pi.pl')"));
}

1;
__END__

# 開発履歴
# 1.0.0 2005/04/07 ファーストリリース
# 1.0.1 2005/04/18 代表病害虫名による再検索に対応
# 1.1.0 2005/05/13 グループ展開時に病害虫名一覧に戻る機能に対応
#                  受信パラメータ変数の変更に対応
#                  送信パラメータ変数の変更に対応
# 2.0.0 2005/05/26 サーバサイドセッションに対応
#                  エラー処理の変更に対応
# 2.0.1 2005/09/27 セッションデータクリア方法変更
# 2.5.0 2005/10/26 パラメータ名変更に対応
#                  病害虫名かな漢字自動変換機能追加
# 2.5.1 2006/03/30 cgi::session->clear のパラメータの渡し方を変更
