# 農薬検査所DB用携帯農薬検索システム(サブ CGI)
# 病害虫名等設定画面表示／パラメータ前処理
# Version 2.5.1 Copyright(C) 2005-2006 Hidemi Oya

# 作物名等コードのセッションデータ初期化
$cv = $sm->param('cv') if (!defined($cv));
if ($cv ne $sm->param('cv')) {
  $sm->clear('g303');
  $sm->param('cv', $cv);
  $sm->flush;
}

# 検索項目入力画面整形
&readtemp; # 検索画面読み込み
s/<!--begin_backuri-->.*?<!--end_backuri-->//i if (!$sm->param('cv')); # バック URI が不要なら削除
# 自動かな漢字変換オプションの設定
if (!$usedic) { # 不使用の場合
  s/<!--begin_dicopt-->.*?<!--end_dicopt-->//i; # チェックボックス削除
} elsif (!$sm->param('pd')) { # 前回オフの場合
  s/([ia]style=)[\S]+/\11/i; # 入力モードを全角モードにする
  s/(mode=)[\S]+/\1hiragana/i;
  s/ checked//i; # 自動かな漢字変換チェックを外す
}

1;
__END__

# 開発履歴
# 2.0.0 2005/05/26 ファーストリリース(サーバサイドセッションに対応)
# 2.0.1 2005/09/27 セッションデータクリア方法変更
# 2.5.0 2005/10/26 自動かな漢字変換対応
# 2.5.1 2006/03/30 cgi::session->clear のパラメータの渡し方を変更
